events.listen('recipes', event => {

  // Arc Furnace
  
event.recipes.immersiveengineering.arc_furnace(['thermal:machine_frame'], 'create:andesite_casing')

  // Metal Press
 
event.recipes.immersiveengineering.metal_press('pneumaticcraft:compressed_iron_gear', item.of('#forge:ingots/compressed_iron', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:lapis_gear', item.of('#forge:gems/lapis', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:diamond_gear', item.of('#forge:gems/diamond', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:emerald_gear', item.of('#forge:gems/emerald', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:quartz_gear', item.of('#forge:gems/quartz', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:signalum_gear', item.of('#forge:ingots/signalum', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:lumium_gear', item.of('#forge:ingots/lumium', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:enderium_gear', item.of('#forge:ingots/enderium', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('minecraft:blaze_rod', item.of('minecraft:blaze_powder', 5), 'immersiveengineering:mold_rod')
event.recipes.immersiveengineering.metal_press('ceramics:unfired_clay_plate', item.of('minecraft:clay_ball', 1), 'immersiveengineering:mold_plate')
event.recipes.immersiveengineering.metal_press('kubejs:blank_token', item.of('kubejs:blank_ore', 1), 'immersiveengineering:mold_plate')
event.recipes.immersiveengineering.metal_press('cyclic:mob_container', item.of('kubejs:blank_token', 1), 'immersiveengineering:mold_plate')
event.recipes.immersiveengineering.metal_press('extendedcrafting:black_iron_slate', item.of('extendedcrafting:black_iron_ingot', 1), 'immersiveengineering:mold_plate')
event.recipes.immersiveengineering.metal_press('woodenutilities:wooden_plate', item.of('#minecraft:planks', 1), 'immersiveengineering:mold_plate')
event.recipes.immersiveengineering.metal_press('thermal:enderium_plate', '#forge:ingots/enderium', 'immersiveengineering:mold_plate')
event.recipes.immersiveengineering.metal_press('thermal:lumium_plate', '#forge:ingots/lumium', 'immersiveengineering:mold_plate')
event.recipes.immersiveengineering.metal_press('thermal:signalum_plate', '#forge:ingots/signalum', 'immersiveengineering:mold_plate')

  //Crusher

event.recipes.immersiveengineering.crusher(Item.of('kubejs:dust', 2), 'minecraft:flint')

  //Cloche Snad and broken thermal seeds

event.recipes.immersiveengineering.cloche(['minecraft:sugar_cane'], 'minecraft:sugar_cane', 'snad:snad').time(150)
event.recipes.immersiveengineering.cloche(['minecraft:cactus'], 'minecraft:cactus', 'snad:snad').time(150)
event.recipes.immersiveengineering.cloche(['minecraft:bamboo'], 'minecraft:bamboo', 'snad:snad').time(150)
event.recipes.immersiveengineering.cloche(['minecraft:sugar_cane'], 'minecraft:sugar_cane', 'snad:red_snad').time(150)
event.recipes.immersiveengineering.cloche(['minecraft:cactus'], 'minecraft:cactus', 'snad:red_snad').time(150)
event.recipes.immersiveengineering.cloche(['minecraft:bamboo'], 'minecraft:bamboo', 'snad:red_snad').time(150)
event.recipes.immersiveengineering.cloche(['thermal:frost_melon_slice'], 'thermal:frost_melon_seeds', 'minecraft:dirt').time(300)
event.recipes.immersiveengineering.cloche(['thermal:hops'], 'thermal:hops_seeds', 'minecraft:dirt').time(300)

})